/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomStorageEvent_H__
#define __GdomStorageEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMWindow.h"
#include "gdom/GdomEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomStorageEvent GdomStorageEvent;
typedef struct _GdomStorageEventClass GdomStorageEventClass;


#define GDOM_TYPE_STORAGE_EVENT            (gdom_storage_event_get_type())
#define GDOM_STORAGE_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_STORAGE_EVENT, GdomStorageEvent))
#define GDOM_STORAGE_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_STORAGE_EVENT, GdomStorageEvent)Class)
#define GDOM_IS_STORAGE_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_STORAGE_EVENT))
#define GDOM_IS_STORAGE_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_STORAGE_EVENT))
#define GDOM_STORAGE_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_STORAGE_EVENT, GdomStorageEventClass))

typedef struct _GdomStorageEventPrivate GdomStorageEventPrivate;

struct _GdomStorageEvent {
    GdomEvent parent_instance;
    GdomStorageEventPrivate *priv;
};

struct _GdomStorageEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_storage_event_get_type (void);

WEBKIT_API void
gdom_storage_event_init_storage_event (GdomStorageEvent *thiz, gchar * type_arg, gboolean can_bubble_arg, gboolean cancelable_arg, gchar * key_arg, gchar * old_value_arg, gchar * new_value_arg, gchar * uri_arg, GdomDOMWindow * source_arg);

G_END_DECLS

#endif /* __GdomStorageEvent_H__ */
